	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	var PROPERTY_PARENT_BRANCH = "";
	var PROPERTY_PARENT_RESERVE_DATE = "";
	var PROPERTY_PARENT_STATUS = "";
	var PROPERTY_PARENT_CLIENT = "";
	var PROPERTY_PARENT_CONTACT = "";
	var PROPERTY_PARENT_MODE = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_POSRESERVE_LIST_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB = null;
	var REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB = null;
	var REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB = null;
	var REC_POSRESERVE_LIST_PRICE_EXPECT_TXT = null;
	var REC_POSRESERVE_LIST_PRICE_BASE_TXT = null;
	var REC_POSRESERVE_LIST_QTY_TXT = null;
	var REC_POSRESERVE_LIST_STATUS_CMB = null;
	var PARAM_REC_POSRESERVE_LIST_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var POS_RESERVE_LIST_DGV = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION");
			
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_BRANCH"))
		{
			PROPERTY_PARENT_BRANCH = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_BRANCH");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_BRANCH_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_BRANCH_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_BRANCH_LBL") + " : " + PROPERTY_PARENT_BRANCH);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_RESERVE_DATE"))
		{
			PROPERTY_PARENT_RESERVE_DATE = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_RESERVE_DATE");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_DATE_RESERVE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_RESERVE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_RESERVE_LBL") + " : " + PROPERTY_PARENT_RESERVE_DATE);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_STATUS"))
		{
			PROPERTY_PARENT_STATUS = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_STATUS");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_STATUS_LBL") == true)
			{
				if (PROPERTY_PARENT_STATUS == 1)
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Pending ");
				else if (PROPERTY_PARENT_STATUS == 2)
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Approved ");
				else if (PROPERTY_PARENT_STATUS == 3)
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Cancelled ");
				else
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Completed ");

				CREATE_FLEX_BUTTON();
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_MODE"))
		{
			PROPERTY_PARENT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_MODE");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_MODE_LBL") == true)
			{
				if (PROPERTY_PARENT_MODE == 2)
					JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL") + " : Cash ");
				else if (PROPERTY_PARENT_MODE == 3)
					JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL") + " : Credit ");
				else
					JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_MODE_LBL") + " : ");
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_CLIENT"))
		{
			PROPERTY_PARENT_CLIENT = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_CLIENT");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_CLIENT_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_CLIENT_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_CLIENT_LBL") + " : " + PROPERTY_PARENT_CLIENT);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_CONTACT"))
		{
			PROPERTY_PARENT_CONTACT = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_CONTACT");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_CONTACT_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_CONTACT_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_CONTACT_LBL") + " : " + PROPERTY_PARENT_CONTACT);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}

		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ADDRESS"))
		{
			PROPERTY_PARENT_ADDRESS = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ADDRESS");

			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_ADDRESS_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_ADDRESS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_ADDRESS_LBL") + " : " + PROPERTY_PARENT_ADDRESS);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_POS_RESERVE_LIST") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_POS_RESERVE_LIST")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_POS_RESERVE_LIST', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_POS_RESERVE_LIST', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_POSRESERVE_LIST_ID"))
		{
			PROPERTY_REC_POSRESERVE_LIST_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_POSRESERVE_LIST_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_POSRESERVE_LIST_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("POS_RESERVE_LIST_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("POS_RESERVE_LIST_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("POS_RESERVE_LIST_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_POSRESERVE_LIST_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_DIALOG.VAR_MODAL("POS_RESERVE_LIST_MODAL", true);
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("DELETE_BBI")) //UPDATE PARENT STATUS
		{
    		DELETE_BBI = JSOC_ELEMENT.VAR_GET("DELETE_BBI");    

    		if(JSVC_VAR.VAR_ISSET(HTTP_VOID_PARENT))
    		{
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						JSVC_INFO.VAR_ACTION_SUCCESS('Voided order for reference no. ' + PROPERTY_PARENT_DESCRIPTION);

						PROPERTY_PARENT_STATUS = 3;
						JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", " : CANCELLED");
						FLEX_BUTTON_IDENTIFIER(true);
					}

    			// Add OnClick event
				DELETE_BBI.onclick = 
					function()
					{
						HTTP_VOID_PARENT(CALLBACK_HANDLER);
					}
    		}	
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('POS_RESERVE_LIST_DGV');
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_ID_TXT"))
		{
			REC_POSRESERVE_LIST_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_ID_TXT");      
			REC_POSRESERVE_LIST_ID_TXT.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_ID_TXT.onkeypress = function(){REC_POSRESERVE_LIST_ID_TXT.onchange();};
			REC_POSRESERVE_LIST_ID_TXT.onpaste = function(){REC_POSRESERVE_LIST_ID_TXT.onchange();};
			//REC_POSRESERVE_LIST_ID_TXT.oninput = function(){REC_POSRESERVE_LIST_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB"))
		{
			REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB");      	
			REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onkeypress = function(){REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onchange();};
			REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onpaste = function(){REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onchange();};
			//REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.oninput = function(){REC_POSRESERVE_LIST_REC_POSRESERVE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB"))
		{
			REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB");      	
			REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onkeypress = function(){REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onchange();};
			REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onpaste = function(){REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onchange();};
			//REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.oninput = function(){REC_POSRESERVE_LIST_CAT_DISCOUNT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB"))
		{
			REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB");      	
			REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onchange();};
			REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onchange();};
			//REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.oninput = function(){REC_POSRESERVE_LIST_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_PRICE_EXPECT_TXT"))
		{
			REC_POSRESERVE_LIST_PRICE_EXPECT_TXT = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_PRICE_EXPECT_TXT");      
			REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onkeypress = function(){REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onchange();};
			REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onpaste = function(){REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onchange();};
			//REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.oninput = function(){REC_POSRESERVE_LIST_PRICE_EXPECT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_PRICE_BASE_TXT"))
		{
			REC_POSRESERVE_LIST_PRICE_BASE_TXT = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_PRICE_BASE_TXT");      
			REC_POSRESERVE_LIST_PRICE_BASE_TXT.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_PRICE_BASE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_PRICE_BASE_TXT.onkeypress = function(){REC_POSRESERVE_LIST_PRICE_BASE_TXT.onchange();};
			REC_POSRESERVE_LIST_PRICE_BASE_TXT.onpaste = function(){REC_POSRESERVE_LIST_PRICE_BASE_TXT.onchange();};
			//REC_POSRESERVE_LIST_PRICE_BASE_TXT.oninput = function(){REC_POSRESERVE_LIST_PRICE_BASE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_QTY_TXT"))
		{
			REC_POSRESERVE_LIST_QTY_TXT = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_QTY_TXT");      
			REC_POSRESERVE_LIST_QTY_TXT.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_QTY_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_QTY_TXT.onkeypress = function(){REC_POSRESERVE_LIST_QTY_TXT.onchange();};
			REC_POSRESERVE_LIST_QTY_TXT.onpaste = function(){REC_POSRESERVE_LIST_QTY_TXT.onchange();};
			//REC_POSRESERVE_LIST_QTY_TXT.oninput = function(){REC_POSRESERVE_LIST_QTY_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_POSRESERVE_LIST_STATUS_CMB"))
		{
			REC_POSRESERVE_LIST_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_POSRESERVE_LIST_STATUS_CMB");      	
			REC_POSRESERVE_LIST_STATUS_CMB.onchange = 
				function()
				{
					if(REC_POSRESERVE_LIST_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_POSRESERVE_LIST_STATUS_CMB.onkeypress = function(){REC_POSRESERVE_LIST_STATUS_CMB.onchange();};
			REC_POSRESERVE_LIST_STATUS_CMB.onpaste = function(){REC_POSRESERVE_LIST_STATUS_CMB.onchange();};
			//REC_POSRESERVE_LIST_STATUS_CMB.oninput = function(){REC_POSRESERVE_LIST_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_POSRESERVE_LIST_ID_FILE_FP"))
		{
			PARAM_REC_POSRESERVE_LIST_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_POSRESERVE_LIST_ID_FILE_FP");
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};